import java.io.*;

// Exercise 4.18
//    --- this program defines the Bank_Account class, which stores a balance
//        and contains methods for crediting & debiting, as well as a method
//        that returns the balance
//    --- 2 accounts are created; transactions are performed; account balances
//        are displayed


class Bank_Account{

  private double balance;

  public Bank_Account(double bal){
    balance = bal;
  } // constructor
 
  public void debit(double amt) {
    balance -= amt;
  }

  public void credit(double amt){
    balance += amt;
  }

  public double curr_balance(){
    return balance;
  }

  public static void main (String[] args) throws IOException {

    double tdeposit = 1000;
    double bdeposit = 349.75;

    Bank_Account Tanya = new Bank_Account(tdeposit);
    Bank_Account Bonny = new Bank_Account(bdeposit);

    System.out.println("After account creation:");
    System.out.println("Tanya's account: " + Tanya.curr_balance());
    System.out.println("Bonny's account: " + Bonny.curr_balance());

    // Tanya makes a purchase
    Tanya.debit(125.55);
    // Bonny gets a cheque
    Bonny.credit(325);

    System.out.println();
    System.out.println("After transactions");  
    System.out.println("Tanya's account: " + Tanya.curr_balance());
    System.out.println("Bonny's account: " + Bonny.curr_balance());

  }
}

  
