import java.io.*;

class Triangle{
  
  double a, b, c;

  public Triangle (double side1, double side2, double side3){
    a=side1;
    b=side2;
    c=side3;
  }

  public boolean is_right(){

    boolean right=false;

    if ((a*a == b*b+c*c) ||
        (b*b == a*a+c*c) ||
        (c*c == b*b+a*a))
      right = true;

    return right;
  }


  public boolean is_scalene(){

    boolean scal=false;

    if ((a!=b) && (a!=c) &&(b!=c))
      scal=true;

    return scal;
  }

  public boolean is_isosceles(){

    boolean isos=false;

    if (((a==b)&&(a!=c)) ||
	((a==c)&&(a!=b)) ||
	((b==c)&&(a!=b)))
      isos = true;

    return isos;
  }


  public boolean is_equilateral(){

    boolean equil=false;

    if ((a==b) && (a==c))
      equilateral = true;

    return equil;
  }

}


